WCS request Landsat 8 error: Server response: "TYPENAME=DSS6 not found!"

Hello,

since today (I noticed it today) I get the following error when I try to access Landsat 8 data with OGC-requests (WCS & WMS):
Server response: “TYPENAME=DSS6 not found!”
In the stack trace this error message is also thrown:
“raise AwsDownloadFailedException(‘File in location %s is missing’ % request.url)”

I tried for different time periods in 2016 and 2017 but it is not working either way.
FIS requests still work fine.

Error messages

HTTPError Traceback (most recent call last)
~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\download.py in execute_download_request(request)
242 response = _do_request(request)
–> 243 response.raise_for_status()
244 response_content = response.content

~\Anaconda3\envs\dataview\lib\site-packages\requests\models.py in raise_for_status(self)
939 if http_error_msg:
–> 940 raise HTTPError(http_error_msg, response=self)
941

HTTPError: 400 Client Error: Bad Request for url: https://services.sentinel-hub.com/v1/wfs/instance_id?SERVICE=wfs&REQUEST=GetFeature&TYPENAMES=DSS6&BBOX=52.296387%2C10.768324%2C52.298786%2C10.776756&OUTPUTFORMAT=application%2Fjson&SRSNAME=EPSG%3A4326&TIME=2016-04-01T00%3A00%3A00%2F2016-06-01T23%3A59%3A59&MAXCC=100.0&MAXFEATURES=100&FEATURE_OFFSET=0

During handling of the above exception, another exception occurred:

DownloadFailedException Traceback (most recent call last)
in
18 image_format=sentinelhub.constants.MimeType.TIFF_d32f,
19 instance_id=instance_id,
—> 20 data_folder=’./test’)
21 # data_request = sentinelhub.data_request.WmsRequest(width=10,
22 # height =10,

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\data_request.py in init(self, resx, resy, **kwargs)
495 “”"
496 def init(self, *, resx=‘10m’, resy=‘10m’, **kwargs):
–> 497 super().init(service_type=ServiceType.WCS, size_x=resx, size_y=resy, **kwargs)
498
499

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\data_request.py in init(self, layer, bbox, time, service_type, data_source, size_x, size_y, maxcc, image_format, instance_id, custom_url_params, time_difference, **kwargs)
313 self.wfs_iterator = None
314
–> 315 super().init(**kwargs)
316
317 def _check_custom_url_parameters(self):

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\data_request.py in init(self, data_folder)
38 self.download_list = []
39 self.folder_list = []
—> 40 self.create_request()
41
42 @abstractmethod

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\data_request.py in create_request(self, reset_wfs_iterator)
342
343 ogc_service = OgcImageService(instance_id=self.instance_id)
–> 344 self.download_list = ogc_service.get_request(self)
345 self.wfs_iterator = ogc_service.get_wfs_iterator()
346

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in get_request(self, request)
117 filename=self.get_filename(request, date, size_x, size_y),
118 data_type=request.image_format, headers=OgcConstants.HEADERS)
–> 119 for date in self.get_dates(request)]
120
121 def get_url(self, request, *, date=None, size_x=None, size_y=None, geometry=None):

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in get_dates(self, request)
426 self.wfs_iterator = request.wfs_iterator
427
–> 428 dates = sorted(set(self.wfs_iterator.get_dates()))
429
430 if request.time is OgcConstants.LATEST:

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in get_dates(self)
566 return [datetime.datetime.strptime(’{}T{}’.format(tile_info[‘properties’][‘date’],
567 tile_info[‘properties’][‘time’].split(’.’)[0]),
–> 568 ‘%Y-%m-%dT%H:%M:%S’) for tile_info in self]
569
570 def get_geometries(self):

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in (.0)
564 :rtype: list(datetime.datetime)
565 “”"
–> 566 return [datetime.datetime.strptime(’{}T{}’.format(tile_info[‘properties’][‘date’],
567 tile_info[‘properties’][‘time’].split(’.’)[0]),
568 ‘%Y-%m-%dT%H:%M:%S’) for tile_info in self]

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in next(self)
514 “”"
515 while self.index >= len(self.tile_list) and self.feature_offset is not None:
–> 516 self._fetch_features()
517
518 if self.index < len(self.tile_list):

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\ogc.py in _fetch_features(self)
546 url = main_url + urlencode(params)
547 LOGGER.debug(“URL=%s”, url)
–> 548 response = get_json(url)
549
550 is_sentinel1 = self.data_source.is_sentinel1()

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\download.py in get_json(url, post_values, headers)
486 save_response=False, return_data=True, data_type=MimeType.JSON)
487
–> 488 return execute_download_request(request)
489
490

~\Anaconda3\envs\dataview\lib\site-packages\sentinelhub\download.py in execute_download_request(request)
262 exception.response.status_code == requests.status_codes.codes.NOT_FOUND:
263 raise AwsDownloadFailedException(‘File in location %s is missing’ % request.url)
–> 264 raise DownloadFailedException(_create_download_failed_message(exception, request.url))
265
266 _save_if_needed(request, response_content)

DownloadFailedException: Failed to download from:
https://services.sentinel-hub.com/v1/wfs/instance_id?SERVICE=wfs&REQUEST=GetFeature&TYPENAMES=DSS6&BBOX=52.296387%2C10.768324%2C52.298786%2C10.776756&OUTPUTFORMAT=application%2Fjson&SRSNAME=EPSG%3A4326&TIME=2016-04-01T00%3A00%3A00%2F2016-06-01T23%3A59%3A59&MAXCC=100.0&MAXFEATURES=100&FEATURE_OFFSET=0
with HTTPError:
400 Client Error: Bad Request for url: https://services.sentinel-hub.com/v1/wfs/instance_id?SERVICE=wfs&REQUEST=GetFeature&TYPENAMES=DSS6&BBOX=52.296387%2C10.768324%2C52.298786%2C10.776756&OUTPUTFORMAT=application%2Fjson&SRSNAME=EPSG%3A4326&TIME=2016-04-01T00%3A00%3A00%2F2016-06-01T23%3A59%3A59&MAXCC=100.0&MAXFEATURES=100&FEATURE_OFFSET=0
Server response: “TYPENAME=DSS6 not found!”

Hi @schorcht,
there is indeed a temporary issue due to wrongly played-out deployment.
For the moment please use TYPENAME=L8.TILE instead of TYPENAME=DSS6
We will roll the old version back, where both options will be supported.
Once error is resolved, we would recommend to move back to DSS6 since L8.TILE is deprecated and should be there only for backward compatibility issues.
We will inform you once error is resolved.

I apologize for inconvenience.

Hi @schorcht,
please note that the error has been fixed.
You can therefore use DSS6 as the TYPENAME.

1 Like

Thank you very much for the fast response!